Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_Notify_Default_CO_Factory Class Reference

TAO_Notify_Default_CO_Factory. More...

`#include <Notify_Default_CO_Factory.h>`

Inheritance diagram for TAO_Notify_Default_CO_Factory:

[legend]
Collaboration diagram for TAO_Notify_Default_CO_Factory:

[legend]
List of all members.

## Public Methods
| TAO_Notify_Default_CO_Factory (void)
| ~TAO_Notify_Default_CO_Factory ()
virtual int | init (int argc, ACE_TCHAR *argv[])
virtual int | fini (void)
TAO_Notify_EventChannel_i * | create_event_channel (TAO_Notify_EventChannelFactory_i *parent ACE_ENV_ARG_DECL)
| Create an Event Channel. More...
TAO_Notify_ConsumerAdmin_i * | create_consumer_admin (TAO_Notify_EventChannel_i *channel ACE_ENV_ARG_DECL)
| Create a Consumer Admin. More...
TAO_Notify_SupplierAdmin_i * | create_supplier_admin (TAO_Notify_EventChannel_i *channel ACE_ENV_ARG_DECL)
| Create a Supplier Admin. More...
TAO_Notify_FilterFactory_i * | create_filter_factory (ACE_ENV_SINGLE_ARG_DECL)
| Create the Filter Factory. More...
TAO_Notify_StructuredProxyPushSupplier_i * | create_struct_proxy_pushsupplier (TAO_Notify_ConsumerAdmin_i *parent ACE_ENV_ARG_DECL)
| Create a Structured ProxyPushSupplier. More...
TAO_Notify_SequenceProxyPushSupplier_i * | create_seq_proxy_pushsupplier (TAO_Notify_ConsumerAdmin_i *parent ACE_ENV_ARG_DECL)
| Create a Sequence ProxyPushSupplier. More...
TAO_Notify_ProxyPushSupplier_i * | create_proxy_pushsupplier (TAO_Notify_ConsumerAdmin_i *parent ACE_ENV_ARG_DECL)
| Create a ProxyPushSupplier. More...
TAO_Notify_StructuredProxyPushConsumer_i * | create_struct_proxy_pushconsumer (TAO_Notify_SupplierAdmin_i *parent ACE_ENV_ARG_DECL)
| Create a Structured ProxyPushConsumer. More...
TAO_Notify_SequenceProxyPushConsumer_i * | create_seq_proxy_pushconsumer (TAO_Notify_SupplierAdmin_i *parent ACE_ENV_ARG_DECL)
| Create a Sequence ProxyPushConsumer. More...
TAO_Notify_ProxyPushConsumer_i * | create_proxy_pushconsumer (TAO_Notify_SupplierAdmin_i *parent ACE_ENV_ARG_DECL)
| Create a ProxyPushConsumer. More...
ACE_Lock * | create_channel_factory_lock (ACE_ENV_SINGLE_ARG_DECL)
| Create lock type used by channel factory. More...
ACE_Lock * | create_event_channel_lock (ACE_ENV_SINGLE_ARG_DECL)
| Create lock type used by EC's. More...
ACE_Lock * | create_consumer_admin_lock (ACE_ENV_SINGLE_ARG_DECL)
| Create lock type used by Consumer Admin's. More...
ACE_Lock * | create_supplier_admin_lock (ACE_ENV_SINGLE_ARG_DECL)
| Create lock type used by Supplier Admin's. More...
ACE_Lock * | create_proxy_supplier_lock (ACE_ENV_SINGLE_ARG_DECL)
| Create lock type used by proxy supplier. More...
ACE_Lock * | create_proxy_consumer_lock (ACE_ENV_SINGLE_ARG_DECL)
| Create lock type used by proxy consumer. More...
## Static Public Methods
int | init_svc (void)
| Helper function to register the default factory into the service configurator. More...

## Detailed Description

TAO_Notify_Default_CO_Factory.

Default Channel Objects factory

## Constructor & Destructor Documentation

TAO_Notify_Default_CO_Factory::TAO_Notify_Default_CO_Factory | ( | void |  | ) |

TAO_Notify_Default_CO_Factory::~TAO_Notify_Default_CO_Factory | ( |  | ) |

## Member Function Documentation

ACE_Lock * TAO_Notify_Default_CO_Factory::create_channel_factory_lock | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) | `[virtual]`

| Create lock type used by channel factory. Reimplemented from TAO_Notify_CO_Factory.

TAO_Notify_ConsumerAdmin_i* TAO_Notify_Default_CO_Factory::create_consumer_admin | ( | TAO_Notify_EventChannel_i *channel | ACE_ENV_ARG_DECL | ) | `[virtual]`

| Create a Consumer Admin. Reimplemented from TAO_Notify_CO_Factory.

ACE_Lock * TAO_Notify_Default_CO_Factory::create_consumer_admin_lock | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) | `[virtual]`

| Create lock type used by Consumer Admin's. Reimplemented from TAO_Notify_CO_Factory.

TAO_Notify_EventChannel_i * TAO_Notify_Default_CO_Factory::create_event_channel | ( | TAO_Notify_EventChannelFactory_i *parent | ACE_ENV_ARG_DECL | ) | `[virtual]`

| Create an Event Channel. Reimplemented from TAO_Notify_CO_Factory.

ACE_Lock * TAO_Notify_Default_CO_Factory::create_event_channel_lock | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) | `[virtual]`

| Create lock type used by EC's. Reimplemented from TAO_Notify_CO_Factory.

TAO_Notify_FilterFactory_i * TAO_Notify_Default_CO_Factory::create_filter_factory | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) | `[virtual]`

| Create the Filter Factory. Reimplemented from TAO_Notify_CO_Factory.

ACE_Lock * TAO_Notify_Default_CO_Factory::create_proxy_consumer_lock | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) | `[virtual]`

| Create lock type used by proxy consumer. Reimplemented from TAO_Notify_CO_Factory.

TAO_Notify_ProxyPushConsumer_i * TAO_Notify_Default_CO_Factory::create_proxy_pushconsumer | ( | TAO_Notify_SupplierAdmin_i *parent | ACE_ENV_ARG_DECL | ) | `[virtual]`

| Create a ProxyPushConsumer. Reimplemented from TAO_Notify_CO_Factory.

TAO_Notify_ProxyPushSupplier_i * TAO_Notify_Default_CO_Factory::create_proxy_pushsupplier | ( | TAO_Notify_ConsumerAdmin_i *parent | ACE_ENV_ARG_DECL | ) | `[virtual]`

| Create a ProxyPushSupplier. Reimplemented from TAO_Notify_CO_Factory.

ACE_Lock * TAO_Notify_Default_CO_Factory::create_proxy_supplier_lock | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) | `[virtual]`

| Create lock type used by proxy supplier. Reimplemented from TAO_Notify_CO_Factory.

TAO_Notify_SequenceProxyPushConsumer_i * TAO_Notify_Default_CO_Factory::create_seq_proxy_pushconsumer | ( | TAO_Notify_SupplierAdmin_i *parent | ACE_ENV_ARG_DECL | ) | `[virtual]`

| Create a Sequence ProxyPushConsumer. Reimplemented from TAO_Notify_CO_Factory.

TAO_Notify_SequenceProxyPushSupplier_i * TAO_Notify_Default_CO_Factory::create_seq_proxy_pushsupplier | ( | TAO_Notify_ConsumerAdmin_i *parent | ACE_ENV_ARG_DECL | ) | `[virtual]`

| Create a Sequence ProxyPushSupplier. Reimplemented from TAO_Notify_CO_Factory.

TAO_Notify_StructuredProxyPushConsumer_i * TAO_Notify_Default_CO_Factory::create_struct_proxy_pushconsumer | ( | TAO_Notify_SupplierAdmin_i *parent | ACE_ENV_ARG_DECL | ) | `[virtual]`

| Create a Structured ProxyPushConsumer. Reimplemented from TAO_Notify_CO_Factory.

TAO_Notify_StructuredProxyPushSupplier_i * TAO_Notify_Default_CO_Factory::create_struct_proxy_pushsupplier | ( | TAO_Notify_ConsumerAdmin_i *parent | ACE_ENV_ARG_DECL | ) | `[virtual]`

| Create a Structured ProxyPushSupplier. Reimplemented from TAO_Notify_CO_Factory.

TAO_Notify_SupplierAdmin_i* TAO_Notify_Default_CO_Factory::create_supplier_admin | ( | TAO_Notify_EventChannel_i *channel | ACE_ENV_ARG_DECL | ) | `[virtual]`

| Create a Supplier Admin. Reimplemented from TAO_Notify_CO_Factory.

ACE_Lock * TAO_Notify_Default_CO_Factory::create_supplier_admin_lock | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) | `[virtual]`

| Create lock type used by Supplier Admin's. Reimplemented from TAO_Notify_CO_Factory.

int TAO_Notify_Default_CO_Factory::fini | ( | void |  | ) | `[virtual]`

| Reimplemented from ACE_Shared_Object.

int TAO_Notify_Default_CO_Factory::init | ( | int | argc,
|  | ACE_TCHAR * | argv[]
| ) | `[virtual]`

| Reimplemented from ACE_Shared_Object.

int TAO_Notify_Default_CO_Factory::init_svc | ( | void |  | ) | `[static]`

| Helper function to register the default factory into the service configurator.

The documentation for this class was generated from the following files:

- Notify_Default_CO_Factory.h
- Notify_Default_CO_Factory.cpp